Bug 200460 - NullPointerException at org.netbeans.api.project.ui.OpenProjects.open
NullPointerException at org.netbeans.api.project.ui.OpenProjects.open
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 11:02 UTC by Vladimir Kvashin
Modified: 2011-09-26 13:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (668 bytes, text/plain)
2011-07-28 11:02 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-07-28 11:02:40 UTC
Build: NetBeans IDE 7.0.1 (Build 20110726-de2f176fde98)
VM: Java HotSpot(TM) Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: SunOS

User Comments:
vkvashin: I created a project from remote binary (added remote host file system to favs, selected a binary, selected "create project" from context menu)




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.api.project.ui.OpenProjects.open(OpenProjects.java:178)
   at org.netbeans.modules.cnd.makeproject.api.RunDialogPanel.createRemoteProject(RunDialogPanel.java:1065)
   at org.netbeans.modules.cnd.makeproject.api.RunDialogPanel.createNewProject(RunDialogPanel.java:973)
   at org.netbeans.modules.cnd.makeproject.api.RunDialogPanel.access$700(RunDialogPanel.java:103)
   at org.netbeans.modules.cnd.makeproject.api.RunDialogPanel$6.run(RunDialogPanel.java:930)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
Comment 1 Vladimir Kvashin 2011-07-28 11:02:44 UTC
Created attachment 109664 [details]
stacktrace
Comment 2 Vladimir Kvashin 2011-07-28 11:38:45 UTC
This occurs quite stable in NB built on cnd-main and, which is worse, release701.
Comment 3 Vladimir Kvashin 2011-07-28 12:22:34 UTC
The problem was in script that resides in studio.
However I believe on NetBeans side, error processing should be better, so I'm not closing, but just downgrading the issue.
Comment 4 Alexander Simon 2011-07-28 13:44:00 UTC
NPE fixed in change set:
http://hg.netbeans.org/cnd-main/rev/b9290a7ecb30
Comment 5 Quality Engineering 2011-07-29 14:11:41 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/b9290a7ecb30
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed  Bug #200460 -  NullPointerException at org.netbeans.api.project.ui.OpenProjects.open
Comment 6 Alexander Simon 2011-08-15 10:40:43 UTC
Fix transplanted to release701_fixes on elif:
b9290a7ecb30 transplanted to e5e8be4bbfb5
Comment 7 Alexander Pepin 2011-08-19 12:51:16 UTC
verified in OSS IDE build #28
Comment 8 Alexander Simon 2011-08-24 11:36:27 UTC
integrated in release701_fixes:
e5e8be4bbfb5 transplanted to 57ea20c5e187
Comment 9 Quality Engineering 2011-08-25 04:27:50 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/57ea20c5e187
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed  Bug #200460 -  NullPointerException at org.netbeans.api.project.ui.OpenProjects.open
(transplanted from e5e8be4bbfb5d722058ad2af3fec1e026811fb0d)
Comment 10 Alexander Pepin 2011-08-29 16:04:21 UTC
verified in 7.0.1 patch1.
Comment 11 Quality Engineering 2011-09-26 13:38:30 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/e5e8be4bbfb5
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed  Bug #200460 -  NullPointerException at org.netbeans.api.project.ui.OpenProjects.open


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo